Skip to main content
POST
Start task run

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

Body

application/json
funding_source
string
provider_account_id
string
harness
string
worker_id
string
model
string
thinking_level
string
service_tier
string
max_attempts
integer | null

Response

Successful response.

run
object
required
execution
object | null